Skip to main content
GET
/
usage_meters
List usage meters for event schema
curl --request GET \
  --url https://api.togai.com/usage_meters \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.togai.com/usage_meters"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.togai.com/usage_meters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "01BX5ZZKBKACTAV9WEVG",
      "name": "Rides",
      "displayName": "Rides Usage",
      "description": "Cab rides",
      "type": "COUNTER",
      "aggregation": "COUNT",
      "status": "DRAFT",
      "computations": [
        {
          "matcher": "{\n  \"and\": [\n    {\"in\": [{\"var\": \"dimension.city\"}, \"chennai\", \"mumbai\"]},\n    \"or\": [\n      {\">\": [{\"var\": \"attribute.distance\"}, 100]},\n      {\"<\": [{\"var\": \"attribute.distance\"}, 20]}\n    ]\n  ]\n}\n",
          "order": 1,
          "computation": "1"
        }
      ]
    }
  ],
  "nextToken": "eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ==",
  "context": {
    "pageSize": 10
  }
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
{
"message": "<Reason message>"
}
aggregation
string
Aggregation type for usage meters
status
enum
Status of the usage meter (`ACTIVE`, `ARCHIVED`)
id
string
Unique identifier of the usage meter
aggregation
string
status
string
id
string

Allowed filter combinations

  • aggregation, status
  • status
  • id
Fields that can be searched on using _search query param
id
string
name
string
billable_name
string
Fields with which the list response can be sorted using _sort query param
updated_at
string
Default sort order:updated_at DESC

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>

Filter by status

Available options:
ACTIVE,
INACTIVE
aggregations
enum<string>

Filter by aggregations

Available options:
COUNT,
SUM
nextToken
string
Example:

"eyJsYXN0SXRlbUlkIjogInN0cmluZyIsICJwYWdlU2l6ZSI6IDEwMCwgInNvcnRPcmRlciI6ICJhc2MifQ=="

pageSize
number
Example:

10

Response

Response for list usage_meters request

data
object[]
nextToken
string
context
object